org.eclipse.mat.internal

## Class MATPlugin

- java.lang.Object
- - Plugin
  - - org.eclipse.mat.internal.MATPlugin

    public class MATPlugin
    extends Plugin

### Field Summary

Fields
`static String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`MATPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MATPlugin` `getDefault()`
`IExtensionTracker` `getExtensionTracker()`
`static void` `log(int severity, String message)`
`static void` `log(IStatus status)`
`static void` `log(Throwable e, String message)`
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### MATPlugin

    public MATPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Throws:
  `Exception`

#### stop

    public void stop(BundleContext context)
              throws Exception

Throws:
  `Exception`

#### getDefault

    public static MATPlugin getDefault()

#### getExtensionTracker

    public IExtensionTracker getExtensionTracker()

#### log

    public static void log(IStatus status)

#### log

    public static void log(Throwable e,
                           String message)

#### log

    public static void log(int severity,
                           String message)